Subject: [bug#31570] [PATCH 0/2] gnu: javacc: Bootstrap from javacc-4 instead of bootstrap binary.

From: Alex Vong <[email-masked]>
Date: Fri, 25 May 2018 03:55:36 +0800

Ricardo Wurmus <[email-masked]> writes:

[...]
> Can we delete these things in a snippet instead?
>
> (I vaguely remember that we didn’t use snippets for jars because
> patch-and-repack wouldn’t support the jar format, but I don’t know if
> that’s still the case.)

Indeed, it fails to build if I switch to use snippet. But I manage to
fix it by adding java-junit to native-inputs :) (since the error message
seems to be related to some missing junit symbols). Will send a revised
patch series later.